package com.jxdinfo.hussar.core.bouncycastle.asn1.x9;

package .tmp;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Encodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROctetString;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECCurve;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECPoint;

public class X9ECPoint extends ASN1Encodable {
  ECPoint double;
  
  public X9ECPoint(ECCurve eCCurve, ASN1OctetString aSN1OctetString) {
    this.double = eCCurve.decodePoint(aSN1OctetString.getOctets());
  }
  
  public X9ECPoint(ECPoint eCPoint) {
    this.double = eCPoint;
  }
  
  public ECPoint getPoint() {
    return this.double;
  }
  
  public DERObject toASN1Object() {
    return (DERObject)new DEROctetString(this.double.getEncoded());
  }
}
